Skip to main content
GET
/
v1
/
markets
/
{platform}
/
{market_id}
/
analyze
/
{analysis_id}
/
status
Poll analysis status
curl --request GET \
  --url https://api.rekko.ai/v1/markets/{platform}/{market_id}/analyze/{analysis_id}/status
import requests

url = "https://api.rekko.ai/v1/markets/{platform}/{market_id}/analyze/{analysis_id}/status"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.rekko.ai/v1/markets/{platform}/{market_id}/analyze/{analysis_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "analysis_id": "rk-a1b2c3d4e5f6",
  "estimated_seconds": 60,
  "poll_url": "/v1/markets/kalshi/KXFED-26MAR19/analyze/rk-a1b2c3d4e5f6/status",
  "status": "running"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

platform
string
required
Example:

"kalshi"

market_id
string
required
Example:

"KXAGICO-COMP-28Q1"

analysis_id
string
required
Example:

"rk-a1b2c3d4e5f6"

Response

Successful Response

Status of an async analysis request.

analysis_id
string
required

Opaque analysis identifier (rk-...)

status
enum<string>
required

Current status

Available options:
running,
complete,
error
poll_url
string
default:""

URL to poll for status updates

estimated_seconds
integer
default:60

Estimated time to completion

error_message
string | null

Error details if status is 'error'